Bug 1576993 - dnf metadata refresh enabled in the container image
Summary: dnf metadata refresh enabled in the container image
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: spin-kickstarts
Version: 28
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Václav Pavlín
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-10 23:05 UTC by Mikhail Zabaluev
Modified: 2019-05-28 20:11 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 20:11:43 UTC
Type: Bug


Attachments (Terms of Use)

Description Mikhail Zabaluev 2018-05-10 23:05:21 UTC
Description of problem:

When the Fedora container image is used as a base for containers running systemd as PID 1, systemd runs all units installed into the image and enabled as per the multi-user target. This includes the cron job to refresh dnf metadata, which bloats up the writable container layer. It should not be necessary to ever run dnf package installation commands after an application container is built: The container should be rebuilt from the base image and redeployed by the orchestration manager when constituent software changes.

Version-Release number of selected component (if applicable):
Container image registry.fedoraproject.org/fedora@sha256:319161b0254f191437164fd9a5e1a21df6e14f68e8604a7639832a0a12057703

How reproducible:
always

Steps to Reproduce:
1. Build a Docker image from the following Dockerfile:

FROM registry.fedoraproject.org/fedora:latest

STOPSIGNAL SIGRTMIN+3
CMD [ "/sbin/init" ]

2. Run the image with 'docker run -d'.
3. Wait a few minutes.
3. Inspect the container logs with 'journalctl -m'.

Actual results:
The container does not download any data that it does not need.

Expected results:
The dnf metadata refresh job kicks in soon after bootup and downloads about 66 MB of metadata into the container's writable layer.

Comment 1 Dusty Mabe 2018-05-11 16:20:15 UTC
we should be able to just disable this in the kickstart - anyone want to open a PR to fix it?

Comment 2 Mikhail Zabaluev 2018-05-11 18:43:58 UTC
(In reply to Dusty Mabe from comment #1)
> anyone want to open a PR to fix it?

https://pagure.io/fedora-kickstarts/pull-request/393

Comment 3 Ben Cotton 2019-05-02 19:17:12 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Ben Cotton 2019-05-02 21:48:14 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Ben Cotton 2019-05-28 20:11:43 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.